import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  filename: SortOrderSchema.optional(),
  pdfData: SortOrderSchema.optional(),
  uploadedAt: SortOrderSchema.optional(),
  groupId: SortOrderSchema.optional()
}).strict();
export const PdfFileMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PdfFileMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileMaxOrderByAggregateInput>;
export const PdfFileMaxOrderByAggregateInputObjectZodSchema = makeSchema();
